package com.wizarpos.test.activity;

import com.wizarpos.log.activity.R;
import com.wizarpos.test.aidl.control.AdminApiMgr;
import com.wizarpos.util.TextViewUtil;
import com.wizarpos.wizarviewagentassistant.aidl.IModifyAdminPwdService;

import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.os.RemoteException;
import android.text.method.ScrollingMovementMethod;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

public class MainActivity extends ConstantActivity implements OnClickListener{
	public static final String TAG = "MainActivity";

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.customer_activity_main);

		Button btn_run3 = (Button) this.findViewById(R.id.btn_run3);
		Button btn_run4 = (Button) this.findViewById(R.id.btn_run4);

		log_text = (TextView) this.findViewById(R.id.text_result);
		log_text.setMovementMethod(ScrollingMovementMethod.getInstance());

		findViewById(R.id.settings).setOnClickListener(this);
		btn_run3.setOnClickListener(this);
		btn_run4.setOnClickListener(this);


		mHandler = new Handler() {
			@Override
			public void handleMessage(Message msg) {
				if (msg.what == DEFAULT_LOG) {
					log_text.append("\t" + msg.obj + "\n");
				} else if (msg.what == SUCCESS_LOG) {
					String str = "\t" + msg.obj + "\n";
					TextViewUtil.infoBlueTextView(log_text, str);
				} else if (msg.what == FAILED_LOG) {
					String str = "\t" + msg.obj + "\n";
					TextViewUtil.infoRedTextView(log_text, str);
				} else if (msg.what == CLEAR_LOG) {
					log_text.setText("");
				}
			}
		};
		AdminApiMgr.getInstance().bindService(this);
	}


	@Override
	protected void onDestroy() {
		super.onDestroy();
		AdminApiMgr.getInstance().unbindService(this);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}
	
	@Override
	public void onClick(View arg0) {
		IModifyAdminPwdService api = AdminApiMgr.getInstance().getApiService();
		int index = arg0.getId();
		boolean result = false;
		if (index == R.id.btn_run3) {
			try {
				result = api.isAdminPwd(DEFAULT_ADMIN_PWD);
				writerInLog("isAdminPwd(99999999) , result = " + result);
			} catch (RemoteException e) {
				e.printStackTrace();
			}
		}else if (index == R.id.btn_run4) {
			try {
				result = api.modifyAdminPwd("99999999","88888888");
				writerInLog("modifyAdminPwd() , result = " + result);
			} catch (RemoteException e) {
				e.printStackTrace();
			}
		}else if (index == R.id.settings) {
			log_text.setText("");
		}
	}

	@Override
	public void onResume() {
		super.onResume();
	}

	public void onDestory() {
		super.onDestroy();
	}
	private static final String DEFAULT_ADMIN_PWD = "99999999";
	private static final String DEFAULT_USER_PWD = "60318218";



}
